Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect
Class IdMapKeyAccessor

    java.lang.Object
      org.apache.cayenne.reflect.IdMapKeyAccessor

All Implemented Interfaces:
  java.io.Serializable, Accessor

    public class IdMapKeyAccessor

extends java.lang.Object
implements Accessor

A stateless read-only accessor of the map key value that is based on the Persistent object id. For single-column ID's the accessor returns a single value (e.g. an Integer). For multi-column ID's it returns the ObjectId.

Since:
  3.0
See Also:
  Serialized Form

Field Summary
`static Accessor` | `SHARED_ACCESSOR`

Constructor Summary
`IdMapKeyAccessor()`

Method Summary
`java.lang.String` | `getName()` Returns property name.
`java.lang.Object` | `getValue(java.lang.Object object)` Returns a property value of an object without disturbing the object fault status.
`void` | `setValue(java.lang.Object object, java.lang.Object newValue)` Sets a property value of an object without disturbing the object fault status.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHARED_ACCESSOR

    public static final Accessor SHARED_ACCESSOR

Constructor Detail

### IdMapKeyAccessor

    public IdMapKeyAccessor()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Accessor`
  Returns property name.

  Specified by:
    `getName` in interface `Accessor`

### getValue

    public java.lang.Object getValue(java.lang.Object object)
                              throws PropertyException

  Description copied from interface: `Accessor`
  Returns a property value of an object without disturbing the object fault status.

  Specified by:
    `getValue` in interface `Accessor`
  Throws:
    `PropertyException`

### setValue

    public void setValue(java.lang.Object object,
                         java.lang.Object newValue)
                  throws PropertyException

  Description copied from interface: `Accessor`
  Sets a property value of an object without disturbing the object fault status. Old value of the property is specified as a hint.

  Specified by:
    `setValue` in interface `Accessor`
  Throws:
    `PropertyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.